Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Mariam_R_Intel
Employee
83 Views

Hitting error when trying to generate .pb model suggested in OpenVino documentation

Hello,

Here is the error that I hit when trying to use any of the TF slim model to get the frozen .pb model. This timeout error is seen for any model in Slim that is suggested in OpenVino documentation. Any clue why this timeout been hit?

(C:\Anaconda3) C:\Intel\computer_vision_sdk_2018.2.299\temp\TF_SlimLibrary\models\research\slim>python export_inference_graph.py --alsologtostderr --model_name=VGG_16 --image_size=224 --output_file=/tmp/VGG_16.pb
Traceback (most recent call last):
  File "C:\Anaconda3\lib\urllib\request.py", line 1318, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
  File "C:\Anaconda3\lib\http\client.py", line 1239, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "C:\Anaconda3\lib\http\client.py", line 1285, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "C:\Anaconda3\lib\http\client.py", line 1234, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "C:\Anaconda3\lib\http\client.py", line 1026, in _send_output
    self.send(msg)
  File "C:\Anaconda3\lib\http\client.py", line 964, in send
    self.connect()
  File "C:\Anaconda3\lib\http\client.py", line 1392, in connect
    super().connect()
  File "C:\Anaconda3\lib\http\client.py", line 936, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "C:\Anaconda3\lib\socket.py", line 722, in create_connection
    raise err
  File "C:\Anaconda3\lib\socket.py", line 713, in create_connection
    sock.connect(sa)
TimeoutError: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "export_inference_graph.py", line 124, in <module>
    tf.app.run()
  File "C:\Anaconda3\lib\site-packages\tensorflow\python\platform\app.py", line 48, in run
    _sys.exit(main(_sys.argv[:1] + flags_passthrough))
  File "export_inference_graph.py", line 108, in main
    FLAGS.dataset_dir)
  File "C:\Intel\computer_vision_sdk_2018.2.299\temp\TF_SlimLibrary\models\research\slim\datasets\dataset_factory.py", line 57, in get_dataset
    reader)
  File "C:\Intel\computer_vision_sdk_2018.2.299\temp\TF_SlimLibrary\models\research\slim\datasets\imagenet.py", line 188, in get_split
    labels_to_names = create_readable_names_for_imagenet_labels()
  File "C:\Intel\computer_vision_sdk_2018.2.299\temp\TF_SlimLibrary\models\research\slim\datasets\imagenet.py", line 94, in create_readable_names_for_imagenet_labels
    filename, _ = urllib.request.urlretrieve(synset_url)
  File "C:\Anaconda3\lib\urllib\request.py", line 248, in urlretrieve
    with contextlib.closing(urlopen(url, data)) as fp:
  File "C:\Anaconda3\lib\urllib\request.py", line 223, in urlopen
    return opener.open(url, data, timeout)
  File "C:\Anaconda3\lib\urllib\request.py", line 526, in open
    response = self._open(req, data)
  File "C:\Anaconda3\lib\urllib\request.py", line 544, in _open
    '_open', req)
  File "C:\Anaconda3\lib\urllib\request.py", line 504, in _call_chain
    result = func(*args)
  File "C:\Anaconda3\lib\urllib\request.py", line 1361, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "C:\Anaconda3\lib\urllib\request.py", line 1320, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond>
0 Kudos
1 Reply
Severine_H_Intel
Employee
83 Views

Hi Mariam, 

this is an issue with your proxy. You should use on Windows before calling the script:

set https_proxy=yourproxyhere:port

set http_proxy=yourproxyhere:port

Best, 

Severine

Reply